## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TraceListener Class Reference

`#include <TraceListener.hpp>`

Inheritance diagram for TraceListener:

[legend]
List of all members.

## Public Methods

- TraceListener ()
- virtual ~TraceListener ()
- virtual void trace (const TracerEvent &ev)=0
    Method that is called when a trace event occurs. More...
- virtual void selected (const SelectionEvent &ev)=0
    Method that is called just after the formatter listener is called. More...
- virtual void generated (const GenerateEvent &ev)=0
    Method that is called just after the formatter listener is called. More...

## Constructor & Destructor Documentation

TraceListener::TraceListener ( | )

TraceListener::~TraceListener ( | )`[virtual]`

## Member Function Documentation

void TraceListener::generated ( | const GenerateEvent & ev )`[pure virtual]`

Method that is called just after the formatter listener is called.

Parameters:

  ev | generate event

Reimplemented in TraceListenerDefault.

void TraceListener::selected ( | const SelectionEvent & ev )`[pure virtual]`

Method that is called just after the formatter listener is called.

Parameters:

  ev | generate event

Reimplemented in TraceListenerDefault.

void TraceListener::trace ( | const TracerEvent & ev )`[pure virtual]`

Method that is called when a trace event occurs.

The method is blocking. It must return before processing continues.

Parameters:

  ev | trace event

Reimplemented in TraceListenerDefault.

The documentation for this class was generated from the following file:

- TraceListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.